package sk.seges.acris.theme.client.shadow;

import sk.seges.acris.widget.client.form.select.ComboBox;

public class ShadowComboBoxPanel extends ComboBox {

	private boolean componentOperation = false;
	private ShadowComboBoxComponent component;

	public ShadowComboBoxPanel() {
		this(new ShadowComboBoxComponent());
	}

	private ShadowComboBoxPanel(ShadowComboBoxComponent component) {
		super((com.google.gwt.user.client.Element)component.comboBox);
		this.component = component;
	}

	@Override
	public com.google.gwt.user.client.Element getElement() {
		if (component == null) {
			return super.getElement();
		}
		if (componentOperation) {
			return (com.google.gwt.user.client.Element)component.comboBox;
		}
		return component.getElement();
	}
	public boolean isCustomTextAllowed() {
		componentOperation = true;
		boolean result = super.isCustomTextAllowed();
		componentOperation = false;
		return result;
	}
	
	public void setCustomTextAllowed(boolean customTextAllowed) {
		componentOperation = true;
		super.setCustomTextAllowed(customTextAllowed);
		componentOperation = false;
	}
	
	public void setChoiceButtonImage(com.google.gwt.user.client.ui.Image choiceButtonImage) {
		componentOperation = true;
		super.setChoiceButtonImage(choiceButtonImage);
		componentOperation = false;
	}
	
	public boolean isChoiceButtonVisible() {
		componentOperation = true;
		boolean result = super.isChoiceButtonVisible();
		componentOperation = false;
		return result;
	}
	
	public void setChoiceButtonVisible(boolean choiceButtonVisible) {
		componentOperation = true;
		super.setChoiceButtonVisible(choiceButtonVisible);
		componentOperation = false;
	}
	
	public void display() {
		componentOperation = true;
		super.display();
		componentOperation = false;
	}
	
	public void setWidth(java.lang.String width) {
		componentOperation = true;
		super.setWidth(width);
		componentOperation = false;
	}
	
	public void setHeight(java.lang.String height) {
		componentOperation = true;
		super.setHeight(height);
		componentOperation = false;
	}
	
	public int getMaxLength() {
		componentOperation = true;
		int result = super.getMaxLength();
		componentOperation = false;
		return result;
	}
	
	public void setMaxLength(int length) {
		componentOperation = true;
		super.setMaxLength(length);
		componentOperation = false;
	}
	
	public int getChoiceButtonOffsetWidth() {
		componentOperation = true;
		int result = super.getChoiceButtonOffsetWidth();
		componentOperation = false;
		return result;
	}
	
	public boolean isLocked() {
		componentOperation = true;
		boolean result = super.isLocked();
		componentOperation = false;
		return result;
	}
	
	public void lock() {
		componentOperation = true;
		super.lock();
		componentOperation = false;
	}
	
	public void unlock() {
		componentOperation = true;
		super.unlock();
		componentOperation = false;
	}
	
	public void add(com.google.gwt.user.client.ui.Widget w) {
		componentOperation = true;
		super.add(w);
		componentOperation = false;
	}
	
	public com.google.gwt.user.client.ui.Widget getWidget() {
		componentOperation = true;
		com.google.gwt.user.client.ui.Widget result = super.getWidget();
		componentOperation = false;
		return result;
	}
	
	public java.util.Iterator<com.google.gwt.user.client.ui.Widget> iterator() {
		componentOperation = true;
		java.util.Iterator<com.google.gwt.user.client.ui.Widget> result = super.iterator();
		componentOperation = false;
		return result;
	}
	
	public boolean remove(com.google.gwt.user.client.ui.Widget w) {
		componentOperation = true;
		boolean result = super.remove(w);
		componentOperation = false;
		return result;
	}
	
	public void setWidget(com.google.gwt.user.client.ui.IsWidget w) {
		componentOperation = true;
		super.setWidget(w);
		componentOperation = false;
	}
	
	public void setWidget(com.google.gwt.user.client.ui.Widget w) {
		componentOperation = true;
		super.setWidget(w);
		componentOperation = false;
	}
	
	public void add(com.google.gwt.user.client.ui.IsWidget child) {
		componentOperation = true;
		super.add(child);
		componentOperation = false;
	}
	
	public void clear() {
		componentOperation = true;
		super.clear();
		componentOperation = false;
	}
	
	public boolean remove(com.google.gwt.user.client.ui.IsWidget child) {
		componentOperation = true;
		boolean result = super.remove(child);
		componentOperation = false;
		return result;
	}
	
	public void addStyleDependentName(java.lang.String styleSuffix) {
		componentOperation = true;
		super.addStyleDependentName(styleSuffix);
		componentOperation = false;
	}
	
	public void addStyleName(java.lang.String style) {
		componentOperation = true;
		super.addStyleName(style);
		componentOperation = false;
	}
	
	public int getAbsoluteLeft() {
		componentOperation = true;
		int result = super.getAbsoluteLeft();
		componentOperation = false;
		return result;
	}
	
	public int getAbsoluteTop() {
		componentOperation = true;
		int result = super.getAbsoluteTop();
		componentOperation = false;
		return result;
	}
	
	public int getOffsetHeight() {
		componentOperation = true;
		int result = super.getOffsetHeight();
		componentOperation = false;
		return result;
	}
	
	public int getOffsetWidth() {
		componentOperation = true;
		int result = super.getOffsetWidth();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getStyleName() {
		componentOperation = true;
		java.lang.String result = super.getStyleName();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getStylePrimaryName() {
		componentOperation = true;
		java.lang.String result = super.getStylePrimaryName();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getTitle() {
		componentOperation = true;
		java.lang.String result = super.getTitle();
		componentOperation = false;
		return result;
	}
	
	public boolean isVisible() {
		componentOperation = true;
		boolean result = super.isVisible();
		componentOperation = false;
		return result;
	}
	
	public void removeStyleDependentName(java.lang.String styleSuffix) {
		componentOperation = true;
		super.removeStyleDependentName(styleSuffix);
		componentOperation = false;
	}
	
	public void removeStyleName(java.lang.String style) {
		componentOperation = true;
		super.removeStyleName(style);
		componentOperation = false;
	}
	
	public void setPixelSize(int width, int height) {
		componentOperation = true;
		super.setPixelSize(width, height);
		componentOperation = false;
	}
	
	public void setSize(java.lang.String width, java.lang.String height) {
		componentOperation = true;
		super.setSize(width, height);
		componentOperation = false;
	}
	
	public void setStyleDependentName(java.lang.String styleSuffix, boolean add) {
		componentOperation = true;
		super.setStyleDependentName(styleSuffix, add);
		componentOperation = false;
	}
	
	public void setStyleName(java.lang.String style, boolean add) {
		componentOperation = true;
		super.setStyleName(style, add);
		componentOperation = false;
	}
	
	public void setStyleName(java.lang.String style) {
		componentOperation = true;
		super.setStyleName(style);
		componentOperation = false;
	}
	
	public void setStylePrimaryName(java.lang.String style) {
		componentOperation = true;
		super.setStylePrimaryName(style);
		componentOperation = false;
	}
	
	public void setTitle(java.lang.String title) {
		componentOperation = true;
		super.setTitle(title);
		componentOperation = false;
	}
	
	public void setVisible(boolean visible) {
		componentOperation = true;
		super.setVisible(visible);
		componentOperation = false;
	}
	
	public void sinkBitlessEvent(java.lang.String eventTypeName) {
		componentOperation = true;
		super.sinkBitlessEvent(eventTypeName);
		componentOperation = false;
	}
	
	public void sinkEvents(int eventBitsToAdd) {
		componentOperation = true;
		super.sinkEvents(eventBitsToAdd);
		componentOperation = false;
	}
	
	public java.lang.String toString() {
		componentOperation = true;
		java.lang.String result = super.toString();
		componentOperation = false;
		return result;
	}
	
	public void unsinkEvents(int eventBitsToRemove) {
		componentOperation = true;
		super.unsinkEvents(eventBitsToRemove);
		componentOperation = false;
	}
	
}
