package sk.seges.acris.theme.client.shadow;

import com.google.gwt.user.client.ui.TextBox;

public class ShadowTextBoxPanel extends TextBox {

	private boolean componentOperation = false;
	private ShadowTextBoxComponent component;

	public ShadowTextBoxPanel() {
		this(new ShadowTextBoxComponent());
	}

	private ShadowTextBoxPanel(ShadowTextBoxComponent component) {
		super((com.google.gwt.user.client.Element)component.textBox);
		this.component = component;
	}

	@Override
	public com.google.gwt.user.client.Element getElement() {
		if (component == null) {
			return super.getElement();
		}
		if (componentOperation) {
			return (com.google.gwt.user.client.Element)component.textBox;
		}
		return component.getElement();
	}
	public void addChangeListener(com.google.gwt.user.client.ui.ChangeListener listener) {
		componentOperation = true;
		super.addChangeListener(listener);
		componentOperation = false;
	}
	
	public java.lang.String getValue() {
		componentOperation = true;
		java.lang.String result = super.getValue();
		componentOperation = false;
		return result;
	}
	
	public void setTextAlignment(com.google.gwt.user.client.ui.TextBoxBase.TextAlignConstant align) {
		componentOperation = true;
		super.setTextAlignment(align);
		componentOperation = false;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addChangeHandler(com.google.gwt.event.dom.client.ChangeHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addChangeHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addValueChangeHandler(com.google.gwt.event.logical.shared.ValueChangeHandler<java.lang.String> handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addValueChangeHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.editor.ui.client.adapters.ValueBoxEditor<java.lang.String> asEditor() {
		componentOperation = true;
		com.google.gwt.editor.ui.client.adapters.ValueBoxEditor<java.lang.String> result = super.asEditor();
		componentOperation = false;
		return result;
	}
	
	public void cancelKey() {
		componentOperation = true;
		super.cancelKey();
		componentOperation = false;
	}
	
	public int getCursorPos() {
		componentOperation = true;
		int result = super.getCursorPos();
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.i18n.client.HasDirection.Direction getDirection() {
		componentOperation = true;
		com.google.gwt.i18n.client.HasDirection.Direction result = super.getDirection();
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.i18n.shared.DirectionEstimator getDirectionEstimator() {
		componentOperation = true;
		com.google.gwt.i18n.shared.DirectionEstimator result = super.getDirectionEstimator();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getName() {
		componentOperation = true;
		java.lang.String result = super.getName();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getSelectedText() {
		componentOperation = true;
		java.lang.String result = super.getSelectedText();
		componentOperation = false;
		return result;
	}
	
	public int getSelectionLength() {
		componentOperation = true;
		int result = super.getSelectionLength();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getText() {
		componentOperation = true;
		java.lang.String result = super.getText();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getValueOrThrow() throws java.text.ParseException {
		componentOperation = true;
		java.lang.String result = super.getValueOrThrow();
		componentOperation = false;
		return result;
	}
	
	public boolean isReadOnly() {
		componentOperation = true;
		boolean result = super.isReadOnly();
		componentOperation = false;
		return result;
	}
	
	public void onBrowserEvent(com.google.gwt.user.client.Event event) {
		componentOperation = true;
		super.onBrowserEvent(event);
		componentOperation = false;
	}
	
	public void removeChangeListener(com.google.gwt.user.client.ui.ChangeListener listener) {
		componentOperation = true;
		super.removeChangeListener(listener);
		componentOperation = false;
	}
	
	public void selectAll() {
		componentOperation = true;
		super.selectAll();
		componentOperation = false;
	}
	
	public void setAlignment(com.google.gwt.user.client.ui.ValueBoxBase.TextAlignment align) {
		componentOperation = true;
		super.setAlignment(align);
		componentOperation = false;
	}
	
	public void setCursorPos(int pos) {
		componentOperation = true;
		super.setCursorPos(pos);
		componentOperation = false;
	}
	
	public void setDirection(com.google.gwt.i18n.client.HasDirection.Direction direction) {
		componentOperation = true;
		super.setDirection(direction);
		componentOperation = false;
	}
	
	public void setDirectionEstimator(boolean enabled) {
		componentOperation = true;
		super.setDirectionEstimator(enabled);
		componentOperation = false;
	}
	
	public void setDirectionEstimator(com.google.gwt.i18n.shared.DirectionEstimator directionEstimator) {
		componentOperation = true;
		super.setDirectionEstimator(directionEstimator);
		componentOperation = false;
	}
	
	public void setKey(char key) {
		componentOperation = true;
		super.setKey(key);
		componentOperation = false;
	}
	
	public void setName(java.lang.String name) {
		componentOperation = true;
		super.setName(name);
		componentOperation = false;
	}
	
	public void setReadOnly(boolean readOnly) {
		componentOperation = true;
		super.setReadOnly(readOnly);
		componentOperation = false;
	}
	
	public void setSelectionRange(int pos, int length) {
		componentOperation = true;
		super.setSelectionRange(pos, length);
		componentOperation = false;
	}
	
	public void setText(java.lang.String text) {
		componentOperation = true;
		super.setText(text);
		componentOperation = false;
	}
	
	public void setValue(java.lang.String value) {
		componentOperation = true;
		super.setValue(value);
		componentOperation = false;
	}
	
	public void setValue(java.lang.String value, boolean fireEvents) {
		componentOperation = true;
		super.setValue(value, fireEvents);
		componentOperation = false;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addBlurHandler(com.google.gwt.event.dom.client.BlurHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addBlurHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addClickHandler(com.google.gwt.event.dom.client.ClickHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addClickHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public void addClickListener(com.google.gwt.user.client.ui.ClickListener listener) {
		componentOperation = true;
		super.addClickListener(listener);
		componentOperation = false;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addDoubleClickHandler(com.google.gwt.event.dom.client.DoubleClickHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addDoubleClickHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addFocusHandler(com.google.gwt.event.dom.client.FocusHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addFocusHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public void addFocusListener(com.google.gwt.user.client.ui.FocusListener listener) {
		componentOperation = true;
		super.addFocusListener(listener);
		componentOperation = false;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addGestureChangeHandler(com.google.gwt.event.dom.client.GestureChangeHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addGestureChangeHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addGestureEndHandler(com.google.gwt.event.dom.client.GestureEndHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addGestureEndHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addGestureStartHandler(com.google.gwt.event.dom.client.GestureStartHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addGestureStartHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public void addKeyboardListener(com.google.gwt.user.client.ui.KeyboardListener listener) {
		componentOperation = true;
		super.addKeyboardListener(listener);
		componentOperation = false;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addKeyDownHandler(com.google.gwt.event.dom.client.KeyDownHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addKeyDownHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addKeyPressHandler(com.google.gwt.event.dom.client.KeyPressHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addKeyPressHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addKeyUpHandler(com.google.gwt.event.dom.client.KeyUpHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addKeyUpHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addMouseDownHandler(com.google.gwt.event.dom.client.MouseDownHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addMouseDownHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public void addMouseListener(com.google.gwt.user.client.ui.MouseListener listener) {
		componentOperation = true;
		super.addMouseListener(listener);
		componentOperation = false;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addMouseMoveHandler(com.google.gwt.event.dom.client.MouseMoveHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addMouseMoveHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addMouseOutHandler(com.google.gwt.event.dom.client.MouseOutHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addMouseOutHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addMouseOverHandler(com.google.gwt.event.dom.client.MouseOverHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addMouseOverHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addMouseUpHandler(com.google.gwt.event.dom.client.MouseUpHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addMouseUpHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addMouseWheelHandler(com.google.gwt.event.dom.client.MouseWheelHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addMouseWheelHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public void addMouseWheelListener(com.google.gwt.user.client.ui.MouseWheelListener listener) {
		componentOperation = true;
		super.addMouseWheelListener(listener);
		componentOperation = false;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addTouchCancelHandler(com.google.gwt.event.dom.client.TouchCancelHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addTouchCancelHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addTouchEndHandler(com.google.gwt.event.dom.client.TouchEndHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addTouchEndHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addTouchMoveHandler(com.google.gwt.event.dom.client.TouchMoveHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addTouchMoveHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public com.google.gwt.event.shared.HandlerRegistration addTouchStartHandler(com.google.gwt.event.dom.client.TouchStartHandler handler) {
		componentOperation = true;
		com.google.gwt.event.shared.HandlerRegistration result = super.addTouchStartHandler(handler);
		componentOperation = false;
		return result;
	}
	
	public int getTabIndex() {
		componentOperation = true;
		int result = super.getTabIndex();
		componentOperation = false;
		return result;
	}
	
	public boolean isEnabled() {
		componentOperation = true;
		boolean result = super.isEnabled();
		componentOperation = false;
		return result;
	}
	
	public void removeClickListener(com.google.gwt.user.client.ui.ClickListener listener) {
		componentOperation = true;
		super.removeClickListener(listener);
		componentOperation = false;
	}
	
	public void removeFocusListener(com.google.gwt.user.client.ui.FocusListener listener) {
		componentOperation = true;
		super.removeFocusListener(listener);
		componentOperation = false;
	}
	
	public void removeKeyboardListener(com.google.gwt.user.client.ui.KeyboardListener listener) {
		componentOperation = true;
		super.removeKeyboardListener(listener);
		componentOperation = false;
	}
	
	public void removeMouseListener(com.google.gwt.user.client.ui.MouseListener listener) {
		componentOperation = true;
		super.removeMouseListener(listener);
		componentOperation = false;
	}
	
	public void removeMouseWheelListener(com.google.gwt.user.client.ui.MouseWheelListener listener) {
		componentOperation = true;
		super.removeMouseWheelListener(listener);
		componentOperation = false;
	}
	
	public void setAccessKey(char key) {
		componentOperation = true;
		super.setAccessKey(key);
		componentOperation = false;
	}
	
	public void setEnabled(boolean enabled) {
		componentOperation = true;
		super.setEnabled(enabled);
		componentOperation = false;
	}
	
	public void setFocus(boolean focused) {
		componentOperation = true;
		super.setFocus(focused);
		componentOperation = false;
	}
	
	public void setTabIndex(int index) {
		componentOperation = true;
		super.setTabIndex(index);
		componentOperation = false;
	}
	
	public void addStyleDependentName(java.lang.String styleSuffix) {
		componentOperation = true;
		super.addStyleDependentName(styleSuffix);
		componentOperation = false;
	}
	
	public void addStyleName(java.lang.String style) {
		componentOperation = true;
		super.addStyleName(style);
		componentOperation = false;
	}
	
	public int getAbsoluteLeft() {
		componentOperation = true;
		int result = super.getAbsoluteLeft();
		componentOperation = false;
		return result;
	}
	
	public int getAbsoluteTop() {
		componentOperation = true;
		int result = super.getAbsoluteTop();
		componentOperation = false;
		return result;
	}
	
	public int getOffsetHeight() {
		componentOperation = true;
		int result = super.getOffsetHeight();
		componentOperation = false;
		return result;
	}
	
	public int getOffsetWidth() {
		componentOperation = true;
		int result = super.getOffsetWidth();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getStyleName() {
		componentOperation = true;
		java.lang.String result = super.getStyleName();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getStylePrimaryName() {
		componentOperation = true;
		java.lang.String result = super.getStylePrimaryName();
		componentOperation = false;
		return result;
	}
	
	public java.lang.String getTitle() {
		componentOperation = true;
		java.lang.String result = super.getTitle();
		componentOperation = false;
		return result;
	}
	
	public boolean isVisible() {
		componentOperation = true;
		boolean result = super.isVisible();
		componentOperation = false;
		return result;
	}
	
	public void removeStyleDependentName(java.lang.String styleSuffix) {
		componentOperation = true;
		super.removeStyleDependentName(styleSuffix);
		componentOperation = false;
	}
	
	public void removeStyleName(java.lang.String style) {
		componentOperation = true;
		super.removeStyleName(style);
		componentOperation = false;
	}
	
	public void setHeight(java.lang.String height) {
		componentOperation = true;
		super.setHeight(height);
		componentOperation = false;
	}
	
	public void setPixelSize(int width, int height) {
		componentOperation = true;
		super.setPixelSize(width, height);
		componentOperation = false;
	}
	
	public void setSize(java.lang.String width, java.lang.String height) {
		componentOperation = true;
		super.setSize(width, height);
		componentOperation = false;
	}
	
	public void setStyleDependentName(java.lang.String styleSuffix, boolean add) {
		componentOperation = true;
		super.setStyleDependentName(styleSuffix, add);
		componentOperation = false;
	}
	
	public void setStyleName(java.lang.String style, boolean add) {
		componentOperation = true;
		super.setStyleName(style, add);
		componentOperation = false;
	}
	
	public void setStyleName(java.lang.String style) {
		componentOperation = true;
		super.setStyleName(style);
		componentOperation = false;
	}
	
	public void setStylePrimaryName(java.lang.String style) {
		componentOperation = true;
		super.setStylePrimaryName(style);
		componentOperation = false;
	}
	
	public void setTitle(java.lang.String title) {
		componentOperation = true;
		super.setTitle(title);
		componentOperation = false;
	}
	
	public void setVisible(boolean visible) {
		componentOperation = true;
		super.setVisible(visible);
		componentOperation = false;
	}
	
	public void setWidth(java.lang.String width) {
		componentOperation = true;
		super.setWidth(width);
		componentOperation = false;
	}
	
	public void sinkBitlessEvent(java.lang.String eventTypeName) {
		componentOperation = true;
		super.sinkBitlessEvent(eventTypeName);
		componentOperation = false;
	}
	
	public void sinkEvents(int eventBitsToAdd) {
		componentOperation = true;
		super.sinkEvents(eventBitsToAdd);
		componentOperation = false;
	}
	
	public java.lang.String toString() {
		componentOperation = true;
		java.lang.String result = super.toString();
		componentOperation = false;
		return result;
	}
	
	public void unsinkEvents(int eventBitsToRemove) {
		componentOperation = true;
		super.unsinkEvents(eventBitsToRemove);
		componentOperation = false;
	}
	
}
